@use 'variable' as *;

@mixin button($type-line, $bg-color, $txt-color, $radius){
    margin: 0;
    padding: 0;
    font-size: 18px;
    padding: 15px;
    box-sizing: border-box;
    transition: .5s ease all;
    @if $type-line{
        color: $txt-color;
        border: 1px solid $bg-color;
        border-radius: $radius;
        &:hover{
            background: $bg-color;
            color: #68d8ee !important;
        }
    }@else{
        color: $txt-color;
        background-color: $bg-color;
        border-radius: $radius;
    }
}